import java.util.Scanner;
import java.io.File;
import java.io.PrintWriter;

class game_od {
  public static void main( String[] args ) throws java.io.FileNotFoundException {
    Scanner in = new Scanner(new File("game.in"));
    PrintWriter out = new PrintWriter("game.out");

    String a = in.next();
    int n = a.length();
    int ans = -1;
    for (int i = 0; i < n; i++)
      if (((n - i) % 2 == 0 && a.charAt(i) != (i == 0 ? '1' : '0')) || ((n - i) % 2 == 1 && a.charAt(i) != '9')) {
        ans = i % 2 == 0 ? 1 : 2;
        break;
      }
    if (ans == -1)
      ans = n % 2 == 0 ? 2 : 1;
    out.println(ans == 1 ? "First" : "Second");

    in.close();
    out.close();
  }
}

